New Reply

We were having some issues with our old SQL db so we had to reinstall ProGet from scratch (upgrading from 4.x to 5.1.18), manually connecting the db and changing all Disk path's for every feed.
Everything seems to work perfectly(pushing,pulling,listing e.t.c) expect for one thing.
On our old ProGet instance we were able to request a list of all available versions of a Maven package by sending a request in this format:

https://progetsever/maven2/Maven/packagepath/packagename/maven-metadata.xml

And if we needed to get the information about the specific version of the package we would send a request like this:

https://progetsever/maven2/Maven/packagepath/packagename/packageversion/maven-metadata.xml

After a fresh reinstall the second request type still seems to function properly but the first one returns and error 500 with the text
'Value cannot be null. Parameter name: version'

And it doesn't even matter if the package exists or not,it still returns 500 unless you specify a version(anything valid works)

We were able to upgrade our old instance of ProGet to 5.1.17 (not a reinstall) and everything works as intended there.This means that there was no API change and that there is probably some config we are missing.

Any help would be greatly appreciated!

Product: ProGet
Version: 5.1.18

Okay,a quick update.
Seems like this issue is exclusive to 5.1.18 since downgrading to 5.1.17 solved it.

Performed multiple upgrades/re-installs on the same database and excluded all other variables,same result.5.1.17 works as intended,5.1.18 keeps asking for a version number

I would submit a bug in your tracker but it seems that i am lacking rights to do so

Hello Michael,

I've filed this as PG-1439.

Great to hear it got fixed.
Thanks !

Answer Details

Preview:

Post Reply